import { HTMLAttributes } from "react";
import { SpaceProps } from "antd";
export interface ShopCardProps extends SpaceProps {
    backgroundImage?: string;
    backgroundColor?: string;
    originPrice?: React.ReactNode;
    price?: React.ReactNode;
    titleNode: React.ReactNode;
    descNode?: React.ReactNode;
    titleClass?: string;
    descClass?: string;
    priceClass?: string;
    originPriceClass?: string;
    action: React.ReactNode;
    actionClass?: string;
    unitClass?: string;
    cardWidth?: string | number;
    cardHeight?: string | number;
}
export declare const ShopCard: React.FC<ShopCardProps>;
export interface ShopRightItem {
    text: React.ReactNode;
    value?: React.ReactNode;
}
export interface ShopRightValueRender {
    prob: (item: ShopRightItem) => boolean;
    render: (item: ShopRightItem) => React.ReactNode;
}
export interface ShopRightProps extends HTMLAttributes<HTMLDivElement> {
    titleNode: React.ReactNode;
    items: ShopRightItem[];
    itemClass?: string;
    textClass?: string;
    valueClass?: string;
    valueRender?: ShopRightValueRender | ShopRightValueRender[];
}
export declare const createShopBooleanRender: ({ imageTrueUrl, imageFalseUrl, imageSize, }: {
    imageTrueUrl: string;
    imageFalseUrl: string;
    imageSize: number | string;
}) => {
    prob: (item: ShopRightItem) => boolean;
    render: (item: ShopRightItem) => React.ReactNode;
};
export declare const ShopRight: React.FC<ShopRightProps>;
export interface ShopGroupProps extends SpaceProps {
    card: ShopCardProps;
    rights: ShopRightProps[];
}
export declare const ShopGroup: React.FC<ShopGroupProps>;
export interface ShopGroupFactoryInput extends SpaceProps {
    card?: Partial<ShopCardProps>;
    right?: Partial<ShopRightProps>;
}
export declare function createShopGroupFactory({ card, right, ...pp }: ShopGroupFactoryInput): (input: Partial<ShopGroupProps>) => ShopGroupProps;
